_main:
;C_Meter_FT90.c,27 :: 		void main()
LDK.L	SP, #43605
;C_Meter_FT90.c,30 :: 		bool calibration_flag = true;
;C_Meter_FT90.c,32 :: 		system_setup();
CALL	_system_setup+0
;C_Meter_FT90.c,33 :: 		setup_interrupt();
CALL	_setup_interrupt+0
;C_Meter_FT90.c,34 :: 		InitTimerA();
CALL	_InitTimerA+0
;C_Meter_FT90.c,36 :: 		t_cal = 1.0 / 11278.0;
LDK.L	R0, #951710561
LDL.L	R0, R0, #951710561
STA.L	_t_cal+0, R0
;C_Meter_FT90.c,37 :: 		c_cal = t_cal / 77616.0;
LDK.L	R6, #1201117184
LDL.L	R6, R6, #1201117184
LDA.L	R4, _t_cal+0
CALL	__Div_FP+0
STA.L	_c_cal+0, R0
;C_Meter_FT90.c,39 :: 		int_count = 0;
LDK.L	R0, #0
STA.L	_int_count+0, R0
;C_Meter_FT90.c,41 :: 		while(1)
L_main0:
;C_Meter_FT90.c,44 :: 		if( sec_flag )
LDA.B	R0, _sec_flag+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main2
;C_Meter_FT90.c,47 :: 		sprintf( uart_text, "Interrupts : %u\r\n", timer_count_end );
LDA.L	R2, _timer_count_end+0
LDK.L	R1, #?lstr_1_C_Meter_FT90+0
LDK.L	R0, #_uart_text+0
PUSH.L	R2
PUSH.L	R1
PUSH.L	R0
CALL	_sprintf+0
ADD.L	SP, SP, #12
;C_Meter_FT90.c,48 :: 		UART1_Write_Text( uart_text );
LDK.L	R0, #_uart_text+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,50 :: 		t_meas = 1.0 / timer_count_end;
LDA.L	R4, _timer_count_end+0
CALL	__Unsigned32IntToFloat+0
MOVE.L	R6, R0
LDK.L	R4, #1065353216
LDL.L	R4, R4, #1065353216
CALL	__Div_FP+0
STA.L	_t_meas+0, R0
;C_Meter_FT90.c,51 :: 		c_meas = t_meas / 77616.0;
LDK.L	R6, #1201117184
LDL.L	R6, R6, #1201117184
LDA.L	R4, _t_meas+0
CALL	__Div_FP+0
STA.L	_c_meas+0, R0
;C_Meter_FT90.c,52 :: 		final = fabs( c_cal - c_meas );
LDA.L	R6, _c_meas+0
LDA.L	R4, _c_cal+0
CALL	__Sub_FP+0
CALL	_fabs+0
STA.L	_final+0, R0
;C_Meter_FT90.c,54 :: 		UART1_Write_Text( "Calibrated: " );
LDK.L	R0, #?lstr2_C_Meter_FT90+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,55 :: 		FloatToStr( c_cal, uart_text );
LDA.L	R0, _c_cal+0
LDK.L	R1, #_uart_text+0
CALL	_FloatToStr+0
;C_Meter_FT90.c,56 :: 		UART1_Write_Text( uart_text );
LDK.L	R0, #_uart_text+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,57 :: 		UART1_Write_Text( "\r\n" );
LDK.L	R0, #?lstr3_C_Meter_FT90+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,58 :: 		UART1_Write_Text( "Final: " );
LDK.L	R0, #?lstr4_C_Meter_FT90+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,59 :: 		FloatToStr( final, final_text );
LDA.L	R0, _final+0
LDK.L	R1, #_final_text+0
CALL	_FloatToStr+0
;C_Meter_FT90.c,60 :: 		UART1_Write_Text( final_text );
LDK.L	R0, #_final_text+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,61 :: 		UART1_Write_Text( "\r\n" );
LDK.L	R0, #?lstr5_C_Meter_FT90+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,63 :: 		sec_flag = false;
LDK.L	R0, #0
STA.B	_sec_flag+0, R0
;C_Meter_FT90.c,64 :: 		int_count = 0;
LDK.L	R0, #0
STA.L	_int_count+0, R0
;C_Meter_FT90.c,65 :: 		timer_count_end = 0;
STA.L	_timer_count_end+0, R0
;C_Meter_FT90.c,66 :: 		}
L_main2:
;C_Meter_FT90.c,67 :: 		}
JMP	L_main0
;C_Meter_FT90.c,68 :: 		}
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
_system_setup:
;C_Meter_FT90.c,70 :: 		void system_setup( void )
;C_Meter_FT90.c,73 :: 		GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_1 );
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Output+0
;C_Meter_FT90.c,74 :: 		GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_3 );
LDK.L	R1, #8
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Input+0
;C_Meter_FT90.c,77 :: 		C_METER_RST = 0;
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=0
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,78 :: 		Delay_ms(50);
LPM.L	R28, #1666665
NOP	
L_system_setup3:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_system_setup3
JMP	$+8
	#1666665
;C_Meter_FT90.c,79 :: 		C_METER_RST = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=1
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,82 :: 		UART1_Init( 9600 );
LDK.L	R0, #9600
CALL	_UART1_Init+0
;C_Meter_FT90.c,83 :: 		UART1_Write_Text( "UART Initialized\r\n" );
LDK.L	R0, #?lstr6_C_Meter_FT90+0
CALL	_UART1_Write_Text+0
;C_Meter_FT90.c,85 :: 		}
L_end_system_setup:
RETURN	
; end of _system_setup
_setup_interrupt:
;C_Meter_FT90.c,87 :: 		void setup_interrupt( void )
;C_Meter_FT90.c,92 :: 		IRQ_CTRL.B31 = 0;
LDA.x	R0, #AlignedAddress(IRQ_CTRL+0)
BINS.L	R0, R0, #63
STI.x	IRQ_CTRL+0, #AlignedAddress(R0)
;C_Meter_FT90.c,95 :: 		GPIO03_CFG0_bit = 1;
LDA.x	R0, #AlignedAddress(GPIO03_CFG0_bit+0)
BINS.L	R0, R0, #BitPos(GPIO03_CFG0_bit+0)=1
STI.x	GPIO03_CFG0_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,98 :: 		GPIO03_CFG1_bit = 1;
LDA.x	R0, #AlignedAddress(GPIO03_CFG1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO03_CFG1_bit+0)=1
STI.x	GPIO03_CFG1_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,102 :: 		GPIO03_CFG2_bit = 0;
LDA.x	R0, #AlignedAddress(GPIO03_CFG2_bit+0)
BINS.L	R0, R0, #BitPos(GPIO03_CFG2_bit+0)=0
STI.x	GPIO03_CFG2_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,103 :: 		GPIO03_CFG3_bit = 0;
LDA.x	R0, #AlignedAddress(GPIO03_CFG3_bit+0)
BINS.L	R0, R0, #BitPos(GPIO03_CFG3_bit+0)=0
STI.x	GPIO03_CFG3_bit+0, #AlignedAddress(R0)
;C_Meter_FT90.c,106 :: 		GPIO_INT_EN_00_31bits.GPIO_INT_EN3 = 1;
LDA.x	R0, #AlignedAddress(GPIO_INT_EN_00_31bits+0)
BINS.L	R0, R0, #547
STI.x	GPIO_INT_EN_00_31bits+0, #AlignedAddress(R0)
;C_Meter_FT90.c,107 :: 		}
L_end_setup_interrupt:
RETURN	
; end of _setup_interrupt
_interrupt:
;C_Meter_FT90.c,109 :: 		void interrupt() iv IVT_GPIO_IRQ{
;C_Meter_FT90.c,110 :: 		Delay_50us();
CALL	_Delay_50us+0
;C_Meter_FT90.c,113 :: 		GPIO_INT_PEND_00_31bits.GPIO_INT_PEND3 = 1;
LDA.x	R0, #AlignedAddress(GPIO_INT_PEND_00_31bits+0)
BINS.L	R0, R0, #547
STI.x	GPIO_INT_PEND_00_31bits+0, #AlignedAddress(R0)
;C_Meter_FT90.c,114 :: 		int_count++;
LDA.L	R0, _int_count+0
ADD.L	R0, R0, #1
STA.L	_int_count+0, R0
;C_Meter_FT90.c,115 :: 		}
L_end_interrupt:
RETI	
; end of _interrupt
_InitTimerA:
;C_Meter_FT90.c,117 :: 		void InitTimerA()
;C_Meter_FT90.c,119 :: 		TIMER_CONTROL_0 = 2;
LDK.L	R0, #2
STA.B	TIMER_CONTROL_0+0, R0
;C_Meter_FT90.c,120 :: 		TIMER_SELECT = 0;
LDK.L	R1, #0
STA.B	TIMER_SELECT+0, R1
;C_Meter_FT90.c,121 :: 		TIMER_PRESC_LS = 36;
LDK.L	R0, #36
STA.B	TIMER_PRESC_LS+0, R0
;C_Meter_FT90.c,122 :: 		TIMER_PRESC_MS = 244;
LDK.L	R0, #244
STA.B	TIMER_PRESC_MS+0, R0
;C_Meter_FT90.c,123 :: 		TIMER_WRITE_LS = 63;
LDK.L	R0, #63
STA.B	TIMER_WRITE_LS+0, R0
;C_Meter_FT90.c,124 :: 		TIMER_WRITE_MS = 6;
LDK.L	R0, #6
STA.B	TIMER_WRITE_MS+0, R0
;C_Meter_FT90.c,125 :: 		TIMER_CONTROL_3 = 0;
STA.B	TIMER_CONTROL_3+0, R1
;C_Meter_FT90.c,126 :: 		TIMER_CONTROL_4 |= 17;
LDA.B	R0, TIMER_CONTROL_4+0
OR.L	R0, R0, #17
STA.B	TIMER_CONTROL_4+0, R0
;C_Meter_FT90.c,127 :: 		TIMER_CONTROL_2 |= 16;
LDA.B	R0, TIMER_CONTROL_2+0
OR.L	R0, R0, #16
STA.B	TIMER_CONTROL_2+0, R0
;C_Meter_FT90.c,128 :: 		TIMER_INT |= 2;
LDA.B	R0, TIMER_INT+0
OR.L	R0, R0, #2
STA.B	TIMER_INT+0, R0
;C_Meter_FT90.c,129 :: 		TIMER_CONTROL_1 |= 1;
LDA.B	R0, TIMER_CONTROL_1+0
OR.L	R0, R0, #1
STA.B	TIMER_CONTROL_1+0, R0
;C_Meter_FT90.c,130 :: 		}
L_end_InitTimerA:
RETURN	
; end of _InitTimerA
_TimerInterrupt:
;C_Meter_FT90.c,131 :: 		void TimerInterrupt() iv IVT_TIMERS_IRQ{
;C_Meter_FT90.c,133 :: 		if (TIMER_INT_A_bit)
LDA.x	R0, #AlignedAddress(TIMER_INT_A_bit+0)
BEXTU.L	R0, R0, #BitPos(TIMER_INT_A_bit+0)
CMP.L	R0, #0
JMPC	R30, Z, #1, L_TimerInterrupt5
;C_Meter_FT90.c,135 :: 		TIMER_INT = (TIMER_INT & 0xAA) | (1 << 0);
LDA.B	R0, TIMER_INT+0
AND.L	R0, R0, #170
BEXTU.L	R0, R0, #256
OR.L	R0, R0, #1
STA.B	TIMER_INT+0, R0
;C_Meter_FT90.c,136 :: 		timer_count_end = int_count;
LDA.L	R0, _int_count+0
STA.L	_timer_count_end+0, R0
;C_Meter_FT90.c,137 :: 		int_count = 0;
LDK.L	R0, #0
STA.L	_int_count+0, R0
;C_Meter_FT90.c,138 :: 		sec_flag = true;
LDK.L	R0, #1
STA.B	_sec_flag+0, R0
;C_Meter_FT90.c,139 :: 		}
L_TimerInterrupt5:
;C_Meter_FT90.c,140 :: 		}
L_end_TimerInterrupt:
RETI	
; end of _TimerInterrupt
